//header for Routing_Table.cpp

#ifndef deftestip
 #include "IP.h"
#endif

#define detestrt

//path types
#define INTRA_AREA 1


typedef struct
{
  char path_Type;//always set to "INTRA_AREA"
  unsigned short cost;
  IP next_Hop;
}
path;

class Routing_Table 
{

 public:
  Routing_Table();
  ~Routing_Table();
  Routing_Table & operator=(Routing_Table &right);
  int addRoute(char dT, IP dID, IP aM);
  int addRoute(char dT, IP dID);
  int addPath(unsigned short cost, IP next);
  char getDType();
  IP getDID();
  IP getAM();
  int getPathCount();
  unsigned short getCost(int index);
  IP getNH(int index);
  char getPathType(int index);
  
  // Data Members for Class Attributes
 private: 
  char destination_Type;
  IP destination_ID;
  IP address_Mask;
  int pathCount;
  path* paths;
};

